Package be.ehealth.technicalconnector.service.keydepot.impl

# Class KeyDepotManagerImpl

java.lang.Object
be.ehealth.technicalconnector.service.keydepot.impl.KeyDepotManagerImpl

All Implemented Interfaces:
  `KeyDepotManager`, `SessionServiceWithCache`

public final class KeyDepotManagerImpl extends Object implements KeyDepotManager, SessionServiceWithCache
Implementation of `KeyDepotManager` and `SessionServiceWithCache`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface be.ehealth.technicalconnector.service.keydepot.KeyDepotManager

  `KeyDepotManager.EncryptionTokenType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `flushCache()`
  Method to flush the cache after invoking this method.
  `EncryptionToken`
  `getETK(KeyDepotManager.EncryptionTokenType type)`
  Gets the `EncryptionToken` linked with the given EncryptionTokenType parameter.
  `EncryptionToken`
  `getETK(IdentifierType identifierType, Long identifierValue, String application)`
  Gets the `EncryptionToken` based on the input parameters
  `Set<EncryptionToken>`
  `getETKs(IdentifierType identifierType, Long identifierValue, String application)`
  Gets the a `Set` of `EncryptionToken` based on the input parameters.
  `static KeyDepotManager`
  `getInstance()`
  Gets the single instance of ETKCacheManager.
  `void`
  `setKeyDepotService(KeyDepotService service)`
  Method to override the `KeyDepotService` used by the manager.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static KeyDepotManager getInstance()
    Gets the single instance of ETKCacheManager.

  - ### getETK

    public EncryptionToken getETK(KeyDepotManager.EncryptionTokenType type) throws TechnicalConnectorException
    Description copied from interface: `KeyDepotManager`
    Gets the `EncryptionToken` linked with the given EncryptionTokenType parameter.
    Specified by:
      `getETK` in interface `KeyDepotManager`
    Throws:
      `TechnicalConnectorException`

  - ### getETK

    public EncryptionToken getETK(IdentifierType identifierType, Long identifierValue, String application) throws TechnicalConnectorException
    Description copied from interface: `KeyDepotManager`
    Gets the `EncryptionToken` based on the input parameters
    Specified by:
      `getETK` in interface `KeyDepotManager`
    Throws:
      `TechnicalConnectorException`

  - ### getETKs

    public Set<EncryptionToken> getETKs(IdentifierType identifierType, Long identifierValue, String application) throws TechnicalConnectorException
    Description copied from interface: `KeyDepotManager`
    Gets the a `Set` of `EncryptionToken` based on the input parameters.
    Specified by:
      `getETKs` in interface `KeyDepotManager`
    Throws:
      `TechnicalConnectorException`

  - ### setKeyDepotService

    public void setKeyDepotService(KeyDepotService service)
    Description copied from interface: `KeyDepotManager`
    Method to override the `KeyDepotService` used by the manager.

    Default: `ServiceFactory.getKeyDepotService()`

    Specified by:
      `setKeyDepotService` in interface `KeyDepotManager`

  - ### flushCache

    public void flushCache()
    Description copied from interface: `SessionServiceWithCache`
    Method to flush the cache after invoking this method.
    Specified by:
      `flushCache` in interface `SessionServiceWithCache`